From bippy-d175d3acf727 Mon Sep 17 00:00:00 2001
From: Greg Kroah-Hartman <gregkh@linuxfoundation.org>
To: <linux-cve-announce@vger.kernel.org>
Reply-to: <cve@kernel.org>, <linux-kernel@vger.kernel.org>
Subject: CVE-2024-26889: Bluetooth: hci_core: Fix possible buffer overflow

Description
===========

In the Linux kernel, the following vulnerability has been resolved:

Bluetooth: hci_core: Fix possible buffer overflow

struct hci_dev_info has a fixed size name[8] field so in the event that
hdev->name is bigger than that strcpy would attempt to write past its
size, so this fixes this problem by switching to use strscpy.

The Linux kernel CVE team has assigned CVE-2024-26889 to this issue.


Affected and fixed versions
===========================

	Issue introduced in 4.19.297 with commit 194ab82c1ea1 and fixed in 4.19.311 with commit 6d5a9d4a7bcb
	Issue introduced in 5.4.259 with commit b48595f5b1c6 and fixed in 5.4.273 with commit 54a03e4ac1a4
	Issue introduced in 5.10.199 with commit ffb060b136dd and fixed in 5.10.214 with commit d47e6c1932ce
	Issue introduced in 5.15.137 with commit bbec1724519e and fixed in 5.15.153 with commit 2e845867b4e2
	Issue introduced in 6.1.60 with commit a55d53ad5c86 and fixed in 6.1.83 with commit 68644bf5ec6b
	Issue introduced in 6.6 with commit dcda165706b9 and fixed in 6.6.23 with commit a41c8efe659c
	Issue introduced in 6.6 with commit dcda165706b9 and fixed in 6.7.11 with commit 8c28598a2c29
	Issue introduced in 6.6 with commit dcda165706b9 and fixed in 6.8.2 with commit 2edce8e9a99d
	Issue introduced in 6.6 with commit dcda165706b9 and fixed in 6.9 with commit 81137162bfaa
	Issue introduced in 4.14.328 with commit d9ce7d438366
	Issue introduced in 6.5.9 with commit 5558f4312dca

Please see https://www.kernel.org for a full list of currently supported
kernel versions by the kernel community.

Unaffected versions might change over time as fixes are backported to
older supported kernel versions.  The official CVE entry at
	https://cve.org/CVERecord/?id=CVE-2024-26889
will be updated if fixes are backported, please check that for the most
up to date information about this issue.


Affected files
==============

The file(s) affected by this issue are:
	net/bluetooth/hci_core.c


Mitigation
==========

The Linux kernel CVE team recommends that you update to the latest
stable kernel version for this, and many other bugfixes.  Individual
changes are never tested alone, but rather are part of a larger kernel
release.  Cherry-picking individual commits is not recommended or
supported by the Linux kernel community at all.  If however, updating to
the latest release is impossible, the individual changes to resolve this
issue can be found at these commits:
	https://git.kernel.org/stable/c/6d5a9d4a7bcbb7534ce45a18a52e7bd23e69d8ac
	https://git.kernel.org/stable/c/54a03e4ac1a41edf8a5087bd59f8241b0de96d3d
	https://git.kernel.org/stable/c/d47e6c1932cee02954ea588c9f09fd5ecefeadfc
	https://git.kernel.org/stable/c/2e845867b4e279eff0a19ade253390470e07e8a1
	https://git.kernel.org/stable/c/68644bf5ec6baaff40fc39b3529c874bfda709bd
	https://git.kernel.org/stable/c/a41c8efe659caed0e21422876bbb6b73c15b5244
	https://git.kernel.org/stable/c/8c28598a2c29201d2ba7fc37539a7d41c264fb10
	https://git.kernel.org/stable/c/2edce8e9a99dd5e4404259d52e754fdc97fb42c2
	https://git.kernel.org/stable/c/81137162bfaa7278785b24c1fd2e9e74f082e8e4
